RanglerDeveloper
API referenceEndpointsFinancial statements
GET
/v1/financials/metric-catalog

Authorization

RanglerApiKey
X-API-Key<token>

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.rangler.co/v1/financials/metric-catalog"
{
  "version": "string",
  "units": {
    "property1": {
      "label": "string",
      "description": "string",
      "value_representation": "string",
      "scale": 1,
      "currency_field": "string"
    },
    "property2": {
      "label": "string",
      "description": "string",
      "value_representation": "string",
      "scale": 1,
      "currency_field": "string"
    }
  },
  "metrics": {
    "property1": {
      "key": "string",
      "label": "string",
      "definition": "string",
      "statement_types": [
        "string"
      ],
      "unit": "string",
      "display_unit": "string",
      "value_representation": "string",
      "source": "reported"
    },
    "property2": {
      "key": "string",
      "label": "string",
      "definition": "string",
      "statement_types": [
        "string"
      ],
      "unit": "string",
      "display_unit": "string",
      "value_representation": "string",
      "source": "reported"
    }
  },
  "ratios": {
    "property1": {
      "key": "string",
      "label": "string",
      "definition": "string",
      "formula": "string",
      "category": "string",
      "unit": "string",
      "value_representation": "string",
      "dependencies": [
        "string"
      ],
      "uses_prior_period": false,
      "uses_market_data": false,
      "source": "derived"
    },
    "property2": {
      "key": "string",
      "label": "string",
      "definition": "string",
      "formula": "string",
      "category": "string",
      "unit": "string",
      "value_representation": "string",
      "dependencies": [
        "string"
      ],
      "uses_prior_period": false,
      "uses_market_data": false,
      "source": "derived"
    }
  },
  "growth": {
    "property1": {},
    "property2": {}
  }
}
{
  "error": {
    "type": "unauthorized",
    "code": "unauthorized",
    "message": "Authentication required.",
    "request_id": "28fa6152-7081-492e-8a7e-00beb237b689"
  }
}
{
  "error": {
    "type": "forbidden",
    "code": "forbidden",
    "message": "Paid access is required.",
    "request_id": "5c253b3e-778e-4a58-aaf8-07cb21e03563"
  }
}
{
  "error": {
    "type": "validation_error",
    "code": "validation_error",
    "message": "Request validation failed",
    "request_id": "c5964dca-d290-4465-a3dc-f92d42aa9b17",
    "details": [
      {
        "type": "missing",
        "loc": [
          "query",
          "ticker"
        ],
        "msg": "Field required",
        "input": null
      }
    ]
  }
}
{
  "error": {
    "type": "rate_limit_exceeded",
    "code": "rate_limit_exceeded",
    "message": "Rate limit exceeded",
    "request_id": "cc4d369a-2c69-4ee2-909e-985ea35d14a9"
  }
}
{
  "error": {
    "type": "internal_server_error",
    "code": "internal_server_error",
    "message": "Internal Server Error",
    "request_id": "70b63aba-b8a3-41c2-bb0c-fbe67d84d37d"
  }
}